Fixing "invalid Python installation" error on Ubuntu

While attempting to install DenyHosts, I got an error about "invalid Python installation". I found the solution here.

Basically just:


sudo apt-get install python2.4-dev

http://marc.abramowitz.info/archives/2006/04/09/ fixing-invalid-python-installation-error-on-ubuntu/